--- a/src/browsers/CollectionTreeItemModel.cpp
+++ b/src/browsers/CollectionTreeItemModel.cpp
@@ -113,7 +113,7 @@ CollectionTreeItemModel::dropMimeData( c
 
     //TODO: optimize for copy from same provider.
     Meta::TrackList tracks = mimeData->tracks();
-    QMap<Collections::Collection *, Meta::TrackPtr> collectionTrackMap;
+    QMultiMap<Collections::Collection *, Meta::TrackPtr> collectionTrackMap;
 
     foreach( Meta::TrackPtr track, tracks )
     {
--- a/src/core/transcoding/TranscodingController.h
+++ b/src/core/transcoding/TranscodingController.h
@@ -66,7 +66,7 @@ private Q_SLOTS:
     void onAvailabilityVerified( int exitCode, QProcess::ExitStatus exitStatus );
 
 private:
-    QMap<Encoder, Format *> m_formats; // due to Format being polymorphic, we must store pointers
+    QMultiMap<Encoder, Format *> m_formats; // due to Format being polymorphic, we must store pointers
     QSet<Encoder> m_availableEncoders;
 };
 
--- a/src/playlistmanager/file/KConfigSyncRelStore.h
+++ b/src/playlistmanager/file/KConfigSyncRelStore.h
@@ -38,7 +38,7 @@ private:
     KConfigGroup syncedPlaylistsConfig() const;
 
     QMap<QUrl,SyncedPlaylistPtr> m_syncMasterMap;
-    QMap<QUrl,QUrl> m_syncSlaveMap;
+    QMultiMap<QUrl,QUrl> m_syncSlaveMap;
 };
 
 #endif // KCONFIGSYNCRELSTORE_H
